# Uses of Class
org.apache.avro.SchemaBuilder.DoubleBuilder

Packages that use SchemaBuilder.DoubleBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.DoubleBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.DoubleBuilder
Modifier and Type
Method
Description
`final SchemaBuilder.DoubleBuilder<SchemaBuilder.DoubleDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`doubleBuilder()`
Build a double type that can set custom properties.
`final SchemaBuilder.DoubleBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`doubleBuilder()`
Build a double type that can set custom properties.
`SchemaBuilder.DoubleBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.DoubleDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`doubleBuilder()`
Build a double type that can set custom properties.
`protected SchemaBuilder.DoubleBuilder<R>`
SchemaBuilder.DoubleBuilder.`self()`